Subject: bug#8729: RFE: chmod "-D" operate on dir's only

From: Linda Walsh <[email-masked]>
Date: Wed, 25 May 2011 10:12:51 -0700

Eric Blake wrote:
> 
> I think that you are better off using what POSIX has already
> standardized for chmod:
> 
> chmod -R go+rX .
---
> 
> which says for all files in the hierarchy, add read bits for group and
> others to files and directories, and add execute bits only for files and
> directories that were already executable by the user.  Thus
> non-executable files (since your directories likely already have the u+x
> permission, since a non-searchable directory is rare) are not granted
> execute permissions, while directories are nicely handled without
> needing a followup find|xargs.
----
	That's what a capital X does?   Huh....how interesting...  That'll
work for my purposes usually, ...damn cryptic, if you ask me, but so what... I
I do see it in the man page, but I thought cap-x was used for something else,
as I've seen it in the output of 'ls' occasionally...

Maybe it's an unrelated usage.

Thanks!
Should work for most my cases...